package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 产品条码表
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/28 9:20
 * @Modify:
 **/
public interface IMesProduceSnService extends IBaseMesService<MesProduceSn> {

    @ApiOperation(value = "根据条码查询产品条码表")
    List<MesProduceSn> findMesProduceSn(String organizeCode, String sn);
}
