package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesProductionRecord;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 设备加工记录表
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/28 9:20
 * @Modify:
 **/
public interface IMesProductionRecordService extends IBaseMesService<MesProductionRecord> {

    @ApiOperation(value = "根据条码查询设备加工记录表")
    List<MesProductionRecord> findMesProductionRecord(String organizeCode, String sn);
}
