package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesLabelTemplateService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesLabelTemplate;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description : 打印模板
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/7/10 13:43
 * @Modify:
 **/
@Service
@Slf4j
public class MesLabelTemplateServiceImpl extends BaseMesService<MesLabelTemplate> implements IMesLabelTemplateService {

    @Override
    protected void setPackQueryBean(MesLabelTemplate bean, DdlPackBean packBean) {

        DdlPreparedPack.getStringLikerPack(bean.getTemplateCode(), "templateCode", packBean);
        DdlPreparedPack.getStringLikerPack(bean.getTemplateName(), "templateName", packBean);

    }
}
